Bug 245572 - Crash when using LDAP contacts and telephoneNumber value deleted.
Summary: Crash when using LDAP contacts and telephoneNumber value deleted.
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 7
Hardware: i586
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-25 14:15 UTC by Richard Williams
Modified: 2018-04-11 13:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 18:01:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bugreport. (7.69 KB, text/plain)
2007-06-25 14:15 UTC, Richard Williams
no flags Details

Description Richard Williams 2007-06-25 14:15:44 UTC
Description of problem:
Evolution Contacts set up to use LDAP server on external system.  LDAP server is
 openldap-2.2.30.  Certain contact details pre-loaded on server, including
telephoneNumber fields.  If a telephoneNumber field value is deleted, evolution
crashes.  Work-around is to replace incorrect or unwanted telephone numbers with
country code (for example, +44).

Version-Release number of selected component (if applicable):evolution 2.10.2


How reproducible:


Steps to Reproduce:
1.Pre-load external LDAP server with certain values including telephoneNumber
fields.
2.set up evolution to use external LDAP server for contacts.
3.Open the contact details for an entry containing a telephoneNumber and delete
the value.
  
Actual results:  evolution crashes (bugreport file attached)


Expected results: telephoneNumber set to null value.


Additional info:

Comment 1 Richard Williams 2007-06-25 14:15:44 UTC
Created attachment 157756 [details]
bugreport.

Comment 2 Matthew Barnes 2007-07-16 16:15:06 UTC
Thanks for the bug report.  Can I ask you to install a few debuginfo packages
and post another Bug Buddy report.  The debuginfo packages provide information
necessary to track the source of this bug.

Please install:

   evolution-debuginfo
   evolution-data-server-debuginfo
   glib2-debuginfo

Comment 3 Matěj Cepl 2007-08-31 15:59:23 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 4 Matthew Barnes 2007-10-02 18:01:12 UTC
Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.